plotCIF2g <- 
#########
   function(data, cause=1,     
     ylab = "Cumulative incidence", xlab = "Time", ylim=c(0,1),
     cex = 1, cex.lab=1, cex.main = 1, cex.axis = 1, 
     col = palette("default"), lty = rep(1,8), lwd=1,
     xlim = NULL, main = "CIF for event 1")
#-----------------------------------------------------------
#  Function that plots cumulative incidences for one of 
#  two competing outcome events for each category of a 
#  grouping factor.
 
#  Main arguments:   
#        data = a data frame created by function Cuminc(),
#       cause = indicator for the event: values 1 or 2.
#  Other arguments, like in any plot() function
#------------------------------------------------------------
{

data$gr <- rep(1, nrow(data) )
if (is.factor(data[,1])) data$gr <- as.numeric(data[, 1])
ng <- ifelse(is.factor(data[,1]), length(levels(data[,1])), 1)

xm <- max(data$time)
xl = c(0, xm)
if (!is.null(xlim)) xl = xlim

data$CI <- data$CI.1 
if (cause==2) data$CI <- data$CI.2

with( data, plot( c(0, time[gr==1], max(time[gr==1]) ),
                  c(0, CI[gr==1], max(CI[gr==1]) ),
                  type = 's', lty = lty[1], ylim = ylim, xlim = xl,
                   lwd = lwd, cex = cex, cex.lab= cex.lab, col = col[1], 
              cex.main = cex.main, cex.axis = cex.axis, yaxs='i', 
                  main = main, xlab = xlab, ylab = ylab ) ) 
for (g in 2:ng )
  {   with( data, lines( c(0, time[gr==g], max(time[gr==g]) ),
                         c(0, CI[gr==g], max(CI[gr==g]) ),
                         lwd = lwd, cex = cex, col = col[g],
                         type = 's', lty=lty[g] ) )  }
}


